| netctlgui 1.4.7 Qt library which interacts with netctl

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
netctlProfileInfo Struct Reference

netctl profile information structure More...

## Public Attributes
QString | name
QString | description
QString | essid
QString | interface
QString | type
bool | active = false
bool | enabled = false
bool | netctlAuto = false

## Detailed Description

netctl profile information structure

## Member Data Documentation

netctlProfileInfo::active = false

whether profile is active

netctlProfileInfo::description

profile description

netctlProfileInfo::enabled = false

whether profile is enabled

netctlProfileInfo::essid

ESSID if any

netctlProfileInfo::interface

profile interface

netctlProfileInfo::name

profile name

netctlProfileInfo::netctlAuto = false

whether profile is from netctl-auto

netctlProfileInfo::type

profile type

The documentation for this struct was generated from the following file:

- netctlinteract.h